/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var CalloutLayerDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(CalloutLayerDescription, _super);
    function CalloutLayerDescription() {
        var _this = _super.call(this) || this;
        _this.gn = null;
        _this.gr = null;
        _this.gs = null;
        _this.gm = null;
        _this.fe = false;
        _this.gl = null;
        _this.go = null;
        _this.gp = null;
        _this.gk = null;
        _this.fb = null;
        _this.fd = false;
        _this.fh = false;
        _this.fi = false;
        _this.fj = false;
        _this.f9 = null;
        _this.fr = 0;
        _this.fg = false;
        _this.ff = false;
        _this.f5 = 0;
        _this.gj = null;
        _this.ga = null;
        _this.f6 = 0;
        _this.gf = null;
        _this.ge = null;
        _this.ft = 0;
        _this.fv = 0;
        _this.fu = 0;
        _this.fs = 0;
        _this.gb = null;
        _this.fw = 0;
        _this.fx = 0;
        _this.gq = null;
        _this.gi = null;
        _this.gg = null;
        _this.gc = null;
        _this.gd = null;
        _this.gh = null;
        return _this;
    }
    CalloutLayerDescription.prototype.get_type = function () {
        return "CalloutLayer";
    };
    Object.defineProperty(CalloutLayerDescription.prototype, "labelMemberPath", {
        get: function () {
            return this.gn;
        },
        set: function (a) {
            this.gn = a;
            this.g("LabelMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "xMemberPath", {
        get: function () {
            return this.gr;
        },
        set: function (a) {
            this.gr = a;
            this.g("XMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "yMemberPath", {
        get: function () {
            return this.gs;
        },
        set: function (a) {
            this.gs = a;
            this.g("YMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "keyMemberPath", {
        get: function () {
            return this.gm;
        },
        set: function (a) {
            this.gm = a;
            this.g("KeyMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "isCalloutOffsettingEnabled", {
        get: function () {
            return this.fe;
        },
        set: function (a) {
            this.fe = a;
            this.g("IsCalloutOffsettingEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "contentMemberPath", {
        get: function () {
            return this.gl;
        },
        set: function (a) {
            this.gl = a;
            this.g("ContentMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "targetSeriesName", {
        get: function () {
            return this.go;
        },
        set: function (a) {
            this.go = a;
            this.g("TargetSeriesName");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "targetSeriesRef", {
        get: function () {
            return this.gp;
        },
        set: function (a) {
            this.gp = a;
            this.g("TargetSeriesRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "collisionChannel", {
        get: function () {
            return this.gk;
        },
        set: function (a) {
            this.gk = a;
            this.g("CollisionChannel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "allowedPositions", {
        get: function () {
            return this.fb;
        },
        set: function (a) {
            this.fb = a;
            this.g("AllowedPositions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "isAutoCalloutBehaviorEnabled", {
        get: function () {
            return this.fd;
        },
        set: function (a) {
            this.fd = a;
            this.g("IsAutoCalloutBehaviorEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "useInterpolatedValueForAutoCalloutLabels", {
        get: function () {
            return this.fh;
        },
        set: function (a) {
            this.fh = a;
            this.g("UseInterpolatedValueForAutoCalloutLabels");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "useSeriesColorForOutline", {
        get: function () {
            return this.fi;
        },
        set: function (a) {
            this.fi = a;
            this.g("UseSeriesColorForOutline");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "useValueForAutoCalloutLabels", {
        get: function () {
            return this.fj;
        },
        set: function (a) {
            this.fj = a;
            this.g("UseValueForAutoCalloutLabels");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "autoCalloutVisibilityMode", {
        get: function () {
            return this.f9;
        },
        set: function (a) {
            this.f9 = a;
            this.g("AutoCalloutVisibilityMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutCornerRadius", {
        get: function () {
            return this.fr;
        },
        set: function (a) {
            this.fr = a;
            this.g("CalloutCornerRadius");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "isCustomCalloutStyleEnabled", {
        get: function () {
            return this.fg;
        },
        set: function (a) {
            this.fg = a;
            this.g("IsCustomCalloutStyleEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "isCustomCalloutRenderStyleEnabled", {
        get: function () {
            return this.ff;
        },
        set: function (a) {
            this.ff = a;
            this.g("IsCustomCalloutRenderStyleEnabled");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "autoCalloutLabelPrecision", {
        get: function () {
            return this.f5;
        },
        set: function (a) {
            this.f5 = a;
            this.g("AutoCalloutLabelPrecision");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutTextColor", {
        get: function () {
            return this.gj;
        },
        set: function (a) {
            this.gj = a;
            this.g("CalloutTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutBackground", {
        get: function () {
            return this.ga;
        },
        set: function (a) {
            this.ga = a;
            this.g("CalloutBackground");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutInterpolatedValuePrecision", {
        get: function () {
            return this.f6;
        },
        set: function (a) {
            this.f6 = a;
            this.g("CalloutInterpolatedValuePrecision");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutOutline", {
        get: function () {
            return this.gf;
        },
        set: function (a) {
            this.gf = a;
            this.g("CalloutOutline");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutLeaderBrush", {
        get: function () {
            return this.ge;
        },
        set: function (a) {
            this.ge = a;
            this.g("CalloutLeaderBrush");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutPaddingLeft", {
        get: function () {
            return this.ft;
        },
        set: function (a) {
            this.ft = a;
            this.g("CalloutPaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutPaddingTop", {
        get: function () {
            return this.fv;
        },
        set: function (a) {
            this.fv = a;
            this.g("CalloutPaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutPaddingRight", {
        get: function () {
            return this.fu;
        },
        set: function (a) {
            this.fu = a;
            this.g("CalloutPaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutPaddingBottom", {
        get: function () {
            return this.fs;
        },
        set: function (a) {
            this.fs = a;
            this.g("CalloutPaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutCollisionMode", {
        get: function () {
            return this.gb;
        },
        set: function (a) {
            this.gb = a;
            this.g("CalloutCollisionMode");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutPositionPadding", {
        get: function () {
            return this.fw;
        },
        set: function (a) {
            this.fw = a;
            this.g("CalloutPositionPadding");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutStrokeThickness", {
        get: function () {
            return this.fx;
        },
        set: function (a) {
            this.fx = a;
            this.g("CalloutStrokeThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "textStyle", {
        get: function () {
            return this.gq;
        },
        set: function (a) {
            this.gq = a;
            this.g("TextStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutStyleUpdatingRef", {
        get: function () {
            return this.gi;
        },
        set: function (a) {
            this.gi = a;
            this.g("CalloutStyleUpdatingRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutRenderStyleUpdatingRef", {
        get: function () {
            return this.gg;
        },
        set: function (a) {
            this.gg = a;
            this.g("CalloutRenderStyleUpdatingRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutContentUpdatingRef", {
        get: function () {
            return this.gc;
        },
        set: function (a) {
            this.gc = a;
            this.g("CalloutContentUpdatingRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutLabelUpdatingRef", {
        get: function () {
            return this.gd;
        },
        set: function (a) {
            this.gd = a;
            this.g("CalloutLabelUpdatingRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CalloutLayerDescription.prototype, "calloutSeriesSelectingRef", {
        get: function () {
            return this.gh;
        },
        set: function (a) {
            this.gh = a;
            this.g("CalloutSeriesSelectingRef");
        },
        enumerable: false,
        configurable: true
    });
    CalloutLayerDescription.$t = markType(CalloutLayerDescription, 'CalloutLayerDescription', AnnotationLayerDescription.$);
    return CalloutLayerDescription;
}(AnnotationLayerDescription));
export { CalloutLayerDescription };
